var token = $.cookie("token");
var table = $('#table1');
var id = helper.request.queryString("id");
$(document).ready(function () {

    //返回首页
    $('#ReIndex').click(function () {
        top.home_index();
    })
    initTable();

    //搜索
    $('.searchGo').click(function () {
        initTable();
    })
    //添加
    $('.return').click(function () {
        top.$("iframe:visible")[0].src = "VoiceNotification/addTongZhi.html";
    })

})


function initTable() {
    //先销毁表格
    table.bootstrapTable('destroy');
    //初始化表格,动态从服务器加载数据
    table.bootstrapTable({
        method: "get", //使用get请求到服务器获取数据
        url: huayi.config.callcenter_url + "Callplan/GetPhoneList", //获取数据的Servlet地址
        contentType: "application/x-www-form-urlencoded",
        striped: true, //表格显示条纹
        pagination: true, //启动分页
        pageSize: 10, //每页显示的记录数
        pageNumber: 1, //当前第几页
        pageList: [10, 20, 50, 100], //记录数可选列表
        search: false, //是否启用查询
        showColumns: false, //显示下拉框勾选要显示的列
        showRefresh: false, //显示刷新按钮
        sidePagination: "server", //表示服务端请求
        //设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
        //设置为limit可以获取limit, offset, search, sort, order
        queryParamsType: "undefined",
        queryParams: function queryParams(params) { //设置查询参数
            var param = {
                page: params.pageNumber,
                pagesize: params.pageSize,
                token: $.cookie("token"),
                id: id,
                phone: $('.keyw').val()

            };
            return param;
        },
        onLoadSuccess: function () { //加载成功时执行
            //layer.msg("加载成功");
        },
        onLoadError: function () { //加载失败时执行
            //layer.msg("加载数据失败", { time: 1500, icon: 2 });
        }
    });
}